オンプレミスAPI
Workato APIを使用すると、APIを通じてオンプレミスグループおよびオンプレミスエージェントを操作できます。
レート制限
オンプレミスリソースには次のレート制限があります:
| タイプ | リソース | 制限 |
|---|---|---|
| すべて | すべてのオンプレミスエンドポイント | 1分あたり60リクエスト |
クイックリファレンス
| タイプ | リソース | 説明 |
|---|---|---|
| GET | /api/on_prem_groups | オンプレミスグループを一覧表示します。 |
| POST | /api/on_prem_groups | オンプレミスグループを作成します。 |
| GET | /api/on_prem_groups/:id | オンプレミスグループの詳細を取得します。 |
| PUT | /api/on_prem_groups/:id | オンプレミスグループを更新します。 |
| DELETE | /api/on_prem_groups/:id | オンプレミスグループを削除します。 |
| GET | /api/on_prem_groups/:id/status | オンプレミスグループのステータスを取得します。 |
| GET | /api/on_prem_agents | オンプレミスエージェントを一覧表示します。 |
| POST | /api/on_prem_agents | オンプレミスエージェントを作成します。 |
| GET | /api/on_prem_agents/:id | オンプレミスエージェントの詳細を取得します。 |
| PUT | /api/on_prem_agents/:id | オンプレミスエージェントを更新します。 |
| DELETE | /api/on_prem_agents/:id | オンプレミスエージェントを削除します。 |
| GET | /api/on_prem_agents/:id/status | オンプレミスエージェントのステータスを取得します。 |
| GET | /api/on_prem_agents/search | オンプレミスエージェントを検索します。 |
| GET | /api/on_prem_agents/:id/activation_code | オンプレミスエージェントのアクティベーションコードを取得します。 |
オンプレミスグループの一覧表示
ワークスペース内のすべてのオンプレミスグループを一覧表示します。
shell
GET /api/on_prem_groupsサンプルリクエスト
shell
curl -X GET 'https://www.workato.com/api/on_prem_groups' \
-H 'Authorization: Bearer <api_token>' \レスポンス
json
[
{
"id": 16803,
"name": "CRM server",
"created_at": "2017-09-21T01:51:45.954-07:00",
"in_use": true,
"use_managed_connection": true,
"config_version": 9,
"logs_enabled": false,
"whitelisted_ips": [
"198.51.100.10",
"192.0.2.0/24"
]
}
]オンプレミスグループの作成
オンプレミスグループを作成します。
shell
POST /api/on_prem_groupsペイロード
| 名前 | タイプ | 説明 |
|---|---|---|
| name | string 必須 | オンプレミスグループの名前。 |
| use_managed_connection | boolean optional | クラウドプロファイルを使用してオンプレミスグループを設定するにはtrueに設定し、config.ymlファイルを使用して各エージェントを手動で設定するにはfalseに設定します。 指定しない場合、デフォルトはfalseです。 |
| settings_attributes[whitelisted_ips] | array of strings optional | オンプレミスグループで許可リストに登録するIPを定義します。 |
サンプルリクエスト
shell
curl -X POST 'https://www.workato.com/api/on_prem_groups' \
-H 'Authorization: Bearer <api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name":"CRM server",
"use_managed_connection": true,
"settings_attributes": {
"whitelisted_ips": [
"198.51.100.10",
"192.0.2.0/24"
]
}
}'レスポンス
json
[
{
"id": 16803,
"name": "CRM server",
"created_at": "2017-09-21T01:51:45.954-07:00",
"in_use": false,
"use_managed_connection": true,
"config_version": null,
"logs_enabled": false,
"whitelisted_ips": [
"198.51.100.10",
"192.0.2.0/24"
]
}
]オンプレミスグループの詳細の取得
オンプレミスグループに関する詳細を取得します。
shell
GET /api/on_prem_groups/:idURLパラメーター
| 名前 | タイプ | 説明 |
|---|---|---|
| id | integer required | 取得するオンプレミスグループのID。 |
サンプルリクエスト
shell
curl -X GET 'https://www.workato.com/api/on_prem_groups/16803' \
-H 'Authorization: Bearer <api_token>' \レスポンス
json
[
{
"id": 16803,
"name": "CRM server",
"created_at": "2017-09-21T01:51:45.954-07:00",
"in_use": false,
"use_managed_connection": false,
"config_version": null,
"logs_enabled": false,
"whitelisted_ips": [
"198.51.100.10",
"192.0.2.0/24"
]
}
]オンプレミスグループの更新
オンプレミスグループを更新します。
shell
PUT /api/on_prem_groups/:idURLパラメーター
| 名前 | タイプ | 説明 |
|---|---|---|
| id | integer required | オンプレミスグループのID。 |
ペイロード
| 名前 | タイプ | 説明 |
|---|---|---|
| name | string 任意 | オンプレミスグループの名前。 |
| settings_attributes[whitelisted_ips] | array of strings optional | オンプレミスグループで許可リストに登録するIPを定義します。 |
サンプルリクエスト
shell
curl -X PUT 'https://www.workato.com/api/on_prem_groups/16803' \
-H 'Authorization: Bearer <api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name":"CRM server",
"settings_attributes": {
"whitelisted_ips": [
"198.51.100.10",
"192.0.2.0/24"
]
}
}'レスポンス
json
[
{
"id": 16803,
"name": "CRM server",
"created_at": "2017-09-21T01:51:45.954-07:00",
"in_use": false,
"use_managed_connection": false,
"config_version": null,
"logs_enabled": false,
"whitelisted_ips": [
"198.51.100.10",
"192.0.2.0/24"
]
}
]オンプレミスグループの削除
オンプレミスグループと、それに含まれるオンプレミスエージェントを削除します。
shell
DELETE /api/on_prem_groups/:idURLパラメーター
| 名前 | タイプ | 説明 |
|---|---|---|
| id | integer required | オンプレミスグループのID。 |
サンプルリクエスト
shell
curl -X DELETE 'https://www.workato.com/api/on_prem_groups/16803' \
-H 'Authorization: Bearer <api_token>' \レスポンス
json
{
"success": true
}オンプレミスグループのステータスの取得
オンプレミスグループのステータスを取得します。
shell
GET /api/on_prem_groups/:id/statusURLパラメーター
| 名前 | タイプ | 説明 |
|---|---|---|
| id | integer required | オンプレミスグループのID。 |
サンプルリクエスト
shell
curl -X GET 'https://www.workato.com/api/on_prem_groups/16805/status' \
-H 'Authorization: Bearer <api_token>' \レスポンス
json
{
"agent_count": 4,
"active_agent_count": 3,
"profiles": [
{
"name": "CRM-Oracle",
"provider": "oracle",
"type": "Database",
"connections": [
{
"id": 440724,
"name": "Oracle CRM DB"
}
]
}
]
}オンプレミスエージェントの一覧表示
ワークスペース内のすべてのオンプレミスエージェントを一覧表示します。
shell
GET /api/on_prem_agentsサンプルリクエスト
shell
curl -X GET 'https://www.workato.com/api/on_prem_agents' \
-H 'Authorization: Bearer <api_token>' \レスポンス
json
[
{
"id": 12233,
"on_prem_group_id": 16803,
"name": "primary agent",
"cn": "134fd7acd89cf5b8b96deea4870d413d:12233",
"os": "windows",
"installation_method": null,
"awaiting_setup": false,
"enabled": true,
"last_seen_version": "25.0",
"created_at": "2024-12-10T13:20:03.330-08:00",
"updated_at": "2025-05-12T13:03:23.754-07:00",
"state": "connected",
"activated": true
}
]オンプレミスエージェントの作成
オンプレミスエージェントを作成します。
shell
POST /api/on_prem_agentsペイロード
| 名前 | タイプ | 説明 |
|---|---|---|
| name | string 必須 | オンプレミスエージェントの名前。 |
| on_prem_group_id | integer required | オンプレミスグループのID。 グループIDは、オンプレミスグループの一覧表示エンドポイントのレスポンスから取得できます。 |
| os | string 任意 | サーバーのオペレーティングシステム。 |
| awaiting_setup | boolean optional | エージェントをawaiting_setup状態で作成するにはtrueに設定します。 エージェントのセットアップをスキップしてすぐにステータスを取得するには、falseに設定します。 指定しない場合、デフォルトはtrueです。 |
| enabled | boolean optional | エージェントを有効にするにはtrue、無効にするにはfalseに設定します。 |
サンプルリクエスト
shell
curl -X POST 'https://www.workato.com/api/on_prem_agents' \
-H 'Authorization: Bearer <api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "US-west-1",
"on_prem_group_id": 50,
"os": "windows",
"awaiting_setup": false
}'レスポンス
json
[
{
"id": 12233,
"on_prem_group_id": 50,
"name": "US-west-1",
"cn": "134fd7acd89cf5b8b96deea4870d413d:12233",
"os": "windows",
"installation_method": null,
"awaiting_setup": false,
"enabled": true,
"last_seen_version": null,
"created_at": "2025-06-24T12:37:49.824-07:00",
"updated_at": "2025-06-24T12:37:49.886-07:00",
"state": "connected",
"activated": false
}
]オンプレミスエージェントの詳細の取得
オンプレミスエージェントの詳細を取得します。
shell
GET /api/on_prem_agents/:idURLパラメーター
| 名前 | タイプ | 説明 |
|---|---|---|
| id | integer required | オンプレミスエージェントのID。 |
サンプルリクエスト
shell
curl -X GET 'https://www.workato.com/api/on_prem_agents/12233' \
-H 'Authorization: Bearer <api_token>' \レスポンス
json
[
{
"id": 12233,
"on_prem_group_id": 16803,
"name": "primary agent",
"cn": "134fd7acd89cf5b8b96deea4870d413d:12233",
"os": "windows",
"installation_method": null,
"awaiting_setup": true,
"enabled": true,
"last_seen_version": null,
"created_at": "2025-06-24T12:37:49.824-07:00",
"updated_at": "2025-06-24T12:37:49.886-07:00",
"state": "awaiting_setup",
"activated": false
}
]オンプレミスエージェントの更新
オンプレミスエージェントを更新します。
shell
PUT /api/on_prem_agents/:idURLパラメーター
| 名前 | タイプ | 説明 |
|---|---|---|
| id | integer required | オンプレミスエージェントのID。 |
ペイロード
| 名前 | タイプ | 説明 |
|---|---|---|
| name | string 任意 | オンプレミスエージェントの名前。 |
| os | string 任意 | サーバーのオペレーティングシステム。 |
| on_prem_group_id | integer optional | オンプレミスグループのID。 グループIDは、オンプレミスグループの一覧表示エンドポイントのレスポンスから取得できます。 |
| enabled | boolean optional | エージェントを有効にするにはtrue、無効にするにはfalseに設定します。 |
サンプルリクエスト
shell
curl -X PUT 'https://www.workato.com/api/on_prem_agents/49026' \
-H 'Authorization: Bearer <api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "primary agent"
}'レスポンス
json
[
{
"id": 49026,
"on_prem_group_id": 32109,
"name": "primary agent",
"cn": "1ee944db3b24d7c19dfe4685c49b77a4:49026",
"os": "windows",
"installation_method": null,
"awaiting_setup": false,
"enabled": true,
"last_seen_version": "27.0",
"created_at": "2025-03-27T08:18:49.641-07:00",
"updated_at": "2025-05-12T13:26:36.731-07:00",
"state": "connected",
"activated": true
}
]オンプレミスエージェントの削除
オンプレミスエージェントを削除します。
shell
DELETE /api/on_prem_agents/:idURLパラメーター
| 名前 | タイプ | 説明 |
|---|---|---|
| id | integer required | オンプレミスエージェントのID。 |
サンプルリクエスト
shell
curl -X DELETE 'https://www.workato.com/api/on_prem_agents/12233' \
-H 'Authorization: Bearer <api_token>' \レスポンス
json
{
"success": true
}オンプレミスエージェントのステータスの取得
オンプレミスエージェントのステータスを取得します。
shell
GET /api/on_prem_agents/:id/statusURLパラメーター
| 名前 | タイプ | 説明 |
|---|---|---|
| id | integer required | オンプレミスエージェントのID。 |
サンプルリクエスト
shell
curl -X GET 'https://www.workato.com/api/on_prem_agents/12233/status' \
-H 'Authorization: Bearer <api_token>' \レスポンス
json
{
"active": true
}共通名によるオンプレミスエージェントの検索
オンプレミスエージェントを共通名で検索します。
shell
GET /api/on_prem_agents/searchURLパラメーター
| 名前 | タイプ | 説明 |
|---|---|---|
| cn | string 任意 | 取得するオンプレミスエージェントの共通名。 すべてのエージェントを返すには、このパラメーターを省略します。 |
サンプルリクエスト
shell
curl -X GET 'https://www.workato.com/api/on_prem_agents/search' \
-H 'Authorization: Bearer <api_token>' \
-H 'Content-Type: application/json' \
-d '{
"cn": "134fd7acd89cf5b8b96deea4870d413d:12233"
}'レスポンス
json
[
{
"id": 12233,
"on_prem_group_id": 16803,
"name": "primary agent",
"cn": "134fd7acd89cf5b8b96deea4870d413d:12233",
"os": "windows",
"awaiting_setup": false,
"enabled": true
}
]オンプレミスエージェントのアクティベーションコードの取得
オンプレミスエージェントのアクティベーションコードを取得します。
shell
GET /api/on_prem_agents/:id/activation_codeURLパラメーター
| 名前 | タイプ | 説明 |
|---|---|---|
| id | integer required | オンプレミスエージェントのID。 |
サンプルリクエスト
shell
curl -X GET 'https://www.workato.com/api/on_prem_agents/12233/activation_code' \
-H 'Authorization: Bearer <api_token>' \レスポンス
json
[
{
"code": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJzdWIiOiJiMjY3MTA4NTU5NDBmMGFjYTVmNDYyMTFhNWYxMmJiNzo2MDg3MCIsImlhdCI6MTc0ODcyNTU5OSwiZXhwIjoxNzQ4NzI5MTk5LCJhZ2VudCI6NjA4NzAsImd3Ijoic2czLndvcmthdG8uY29tfHNnNC53b3JrYXRvLmNvbSJ9.JCcQ0NCetvIjP9xJJ1BIUAxmE9ImuNvtUJLNIazICiQg61RlSz2YJHywhbSXvakjjB77L7ZPydo43Rs_iiWiWRr5atk8iHvZlnfAKL_338-nFxmSkN-Ms7sL-fguNdQaO-DgkkZubAJ-qP8a34VKJ6QYA3c3SaixoNfnukKan0mUySTz7wQsVxU4C0Ff0R42AGO9CjKxYRobeBr_QgLJm6PtSUN5J6JkWGpyg9jTHJEpsFPDLBzJ0u7O7HkDP_onF4wdrraJ7_5BSn04ZllXw6oIwTbMWq1ncqhYHs0ZXNnv3efXF4L0tzgSkekdz-YasqojNSo0wzfpV0W_3vq_Mg"
}
]Last updated: